Bug 653608 - [ml_IN] smc-fonts 4.4.1 causes Rachana and other fonts not being recognized if Meera is removed
Summary: [ml_IN] smc-fonts 4.4.1 causes Rachana and other fonts not being recognized i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: smc-fonts
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rajeesh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-15 19:23 UTC by Rajeesh
Modified: 2010-12-17 08:33 UTC (History)
7 users (show)

Fixed In Version: smc-fonts-4.4-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 08:33:47 UTC


Attachments (Terms of Use)

Description Rajeesh 2010-11-15 19:23:31 UTC
Description of problem:
Since version 4.4.1, if both Meera(smc-meera-fonts) and Rachana(smc-rachana-fonts) are installed, and then Meera is uninstalled, Rachana is no longer recognized by fc-list, even after a "fc-cache -f".

Version-Release number of selected component (if applicable):
4.4.1

How reproducible:
Always

Steps to Reproduce:
1. yum install smc-{meera,rachana}-fonts
2. yum remove smc-meera-fonts
3. fc-list|grep -i rachana
  
Actual results:
"fc-list|grep -i rachana" returns nothing, so does "fc-list :lang=ml".

Expected results:
Rachana is recongnized.

Additional info:
Further, %{_fontdir}/smc/{Meera,Rachana} etc are not owned by any package. This is caused during 4.4.1 upgrade, and which is causing the above issue. Even when smc-meera-fonts is removed, %{_fontdir}/smc/Meera directory remains which causes fc-cache not to update the cache. I'm not sure why "fc-cache -vf /usr/share/fonts/smc/Rachana" says 1 font is added, but still not showing Rachana in fc-list; though.
The fix is to make sure the subdirectories are owned by corresponding sub packages.

Comment 1 Manilal 2010-11-16 06:25:29 UTC
I was able to reproduce the same issue in a fresh install of Fedora 14. Removed samyak-malayalam-fonts and following SMC fonts 
smc-kalyani-fonts-4.4-2.fc14.noarch,
smc-meera-fonts-4.4-2.fc14.noarch,
smc-anjalioldlipi-fonts-4.4-2.fc14.noarch,
smc-raghumalayalam-fonts-4.4-2.fc14.noarch,
smc-dyuthi-fonts-4.4-2.fc14.noarch,
smc-suruma-fonts-4.4-2.fc14.noarch,
smc-rachana-fonts-4.4-2.fc14.noarch,
smc-fonts-common-4.4-2.fc14.noarch

fc-list doesn't shows Rachana after installing only smc-rachana-fonts 

$ fc-list :lang=ml
Lohit Malayalam:style=Regular

Comment 2 Fedora Update System 2010-11-16 07:46:45 UTC
smc-fonts-4.4-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/smc-fonts-4.4-3.fc14

Comment 3 Nicolas Mailhot 2010-11-16 09:50:19 UTC
Why on earth is this package installing fonts in sub-directories of %{_fontdir}?


This is not compliant with Fedora packaging guidelines.

Please apply Packaging guidelines strictly and install font files in %{fontdir} directly

Comment 4 Naveen Kumar 2010-11-16 12:14:57 UTC
(In reply to comment #3)
> Why on earth is this package installing fonts in sub-directories of
> %{_fontdir}?
> 
> 
> This is not compliant with Fedora packaging guidelines.
> 
> Please apply Packaging guidelines strictly and install font files in %{fontdir}
> directly

Ah! sorry, I will rectify it. Thanks for pointing out...

Comment 5 Fedora Update System 2010-11-16 13:17:25 UTC
smc-fonts-4.4-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/smc-fonts-4.4-4.fc14

Comment 6 Nicolas Mailhot 2010-11-16 17:40:24 UTC
Thanks and sorry for the outburst.
I really didn't want to have to add yet another sanity check to fontpackages rpm macros (I will probably add it anyway)

Comment 7 Fedora Update System 2010-11-16 23:16:05 UTC
smc-fonts-4.4-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update smc-fonts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/smc-fonts-4.4-3.fc14

Comment 8 Fedora Update System 2010-12-17 08:33:42 UTC
smc-fonts-4.4-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.